<?php
/**
 * @file Views tables for Web Links module.
 * @status: very ALPHA - needs handlers, filters, etc.
 */
 
function weblinks_views_tables() {
  $tables['weblinks'] = array(
    'name' => 'weblinks',
    'join' => array(
      'type' => 'inner',
      'left' => array(
        'table' => 'node',
        'field' => 'nid',
      ),
      'right' => array(
        'field' => 'nid AND node.vid = weblinks.vid',
      )
    ),
    'fields' => array(
      'url' => array(
        'name' => t('Weblinks: URL'),
        'help' => t('The URL for the link.'),
        ),
      'weight' => array(
        'name' => t('Weblinks: weight'),
        'help' => t('The weight for the link.'),
        ),
      'last_status' => array(
        'name' => t('Weblinks: link status'),
        'help' => t('The last status returned from vailidity checking.'),
        ),
      'last_checked' => array(
        'name' => t('Weblinks: last checked'),
        'help' => t('The date/time of the last vailidity checking.'),
        'handler' => views_handler_field_dates(),
        'option' => 'string',
        ),
      'click_count' => array(
        'name' => t('Weblinks: click count'),
        'help' => t('The number of times a user has clicked on the link.'),
        ),
      'last_click' => array(
        'name' => t('Weblinks: last click'),
        'help' => t('The date/time the link was last clicked.'),
        'handler' => views_handler_field_dates(),
        'option' => 'string',
        ),
    ),
  );

  return $tables;
}
